REBOL [
	Title:  "View Face Object"
	Rights: "Copyright 2000 REBOL Technologies. All rights reserved."
	Author: "Carl Sassenrath"
	; You are free to use, modify, and distribute this software with any
	; REBOL Technologies products as long as the above header, copyright,
	; and this comment remain intact. This software is provided "as is"
	; and without warranties of any kind. In no event shall the owners or
	; contributors be liable for any damages of any kind, even if advised
	; of the possibility of such damage. See license for more information.

	; Please help us to improve this software by contributing changes and
	; fixes via http://www.rebol.com/feedback.html - Thanks!
]

set [font-serif font-sans-serif font-fixed] any [
	select [
		1 ["CGTimes" "CGTriumvirate" "LetterGothic"]
		2 ["times" "arial" "courier new"]
		3 ["times" "arial" "courier new"]
		5 ["baskerville" "zurich" "courier10 bt"]
	] system/version/4
	["times" "helvetica" "courier"]
]

face: system/standard/face: make object! [
		type: 'face
		offset: 0x0					; position (position of window)
		size: 100x100				; width & height (dimension of window)
		span:						; offset to next area (scaling factor)
		pane:						; subface or block of subfaces
		text: none					; string pointer to text (window name)
		color: 200.200.200			; color or tint of face
		image:						; image
		effect:						; algorithm (symbol)
		data: none					; user defined data field
		edge: make object! [
			color:		200.200.200	; color or tint of edge
			image:					; image used for edge
			effect:		none		; algorithm (symbol)
			size:		2x2			; thickness of edge (xy)
		]
		font: make object! [
			name:		font-sans-serif ; font name
			style:		none		; font style [italic bold ...]
			size:		12			; font size
			color:		0.0.0		; text color or tint
			offset:		2x2			; padding from area
			space:		0x0			; interchar & interline spacing
			align:		'center		; text alignment (left, center, right, justify)
			valign:		'center		; vertical text alignment ( top, center, bottom, justify )
;			angle:		0			; text angle
			shadow:		none		; shadow offset
;			outline:	none		; outline size
		]
		para: make object! [
			origin:		2x2			; origin (offset) of text in area
			margin:		2x2			; right margin
			indent:		0x0			; indent (exdent) of first line
			tabs:		40			; tabspace or index block
;			edit?:		false
			wrap?:		true
;			scroll?:	false
;			filter:		none		; to filter edits
			scroll:		0x0			; pair for scrolling offset
		]
		feel: make object! [		; all fields are functions
			redraw:
			detect:
			over:
			engage: none
		]
		saved-area: none			; bits saved under a transparent image
		rate:	none				; rate at which to call engage
		show?:	true				; face showing
		options: none				; options for window handling
		; internal values
		parent-face:
		old-offset:
		old-size:
		line-list: none
		changes: none
		face-flags: 0
		action: none
]

protect 'face

