REBOL [
	Title: "REBOL Mezzanine Functions: CVS"
	Version: 2.7.8
	Rights: "Copyright REBOL Technologies 2011. All rights reserved."
	Home: http://www.rebol.com
	Date: 1-Jan-2011

	; You are free to use, modify, and distribute this file as long as the
	; above header, copyright, and this entire comment remains intact.
	; This software is provided "as is" without warranties of any kind.
	; In no event shall REBOL Technologies or source contributors be liable
	; for any damages of any kind, even if advised of the possibility of such
	; damage. See license for more information.

	; Please help us to improve this software by contributing changes and
	; fixes. See http://www.rebol.com/support.html for details.
	; You are free to use, modify, and distribute this software with any
	; REBOL Technologies products as long as the above header, copyright,
	; and this comment remain intact. This software is provided "as is"
	; and without warranties of any kind. In no event shall the owners or
	; contributors be liable for any damages of any kind, even if advised
	; of the possibility of such damage. See license for more information.

	; Please help us to improve this software by contributing changes and
	; fixes via http://www.rebol.com/feedback.html - Thanks!
]

cvs-date: func [
	"Converts CVS date."
	date
][
	date: parse date none
	to-date rejoin [date/2 "/" date/3]
]

cvs-version: func [
	"Converts CVS version number."
	str /local rev ver
][
	parse str [
		thru #":" copy ver to #"." skip
		copy rev [to #"." | to #" "]
		(
			rev: to-integer trim rev ; may overflow into version
			ver: to-integer (to-integer trim ver) + (rev / 256)
			rev: rev // 256
			str: to-tuple reduce [ver rev]
		)
	]
	str
]

