REBOL [
	Title: "REBOL Mezzanine Functions: R3 Datatype Spoofing"
	Version: 2.7.7
	Rights: "Copyright REBOL Technologies 2009. All rights reserved."
	Home: http://www.rebol.com
	Date: 30-Dec-2009

	; You are free to use, modify, and distribute this file as long as the
	; above header, copyright, and this entire comment remains intact.
	; This software is provided "as is" without warranties of any kind.
	; In no event shall REBOL Technologies or source contributors be liable
	; for any damages of any kind, even if advised of the possibility of such
	; damage. See license for more information.

	; Please help us to improve this software by contributing changes and
	; fixes. See http://www.rebol.com/support.html for details.

	; Portions of this code are licensed from the R2/Forward project.
	; You are free to use, modify, and distribute this software with any
	; REBOL Technologies products as long as the above header, copyright,
	; and this comment remain intact. This software is provided "as is"
	; and without warranties of any kind. In no event shall the owners or
	; contributors be liable for any damages of any kind, even if advised
	; of the possibility of such damage. See license for more information.

	; Please help us to improve this software by contributing changes and
	; fixes via http://www.rebol.com/feedback.html - Thanks!
]

; Datatype spoofing (be careful)

; Fake map! with hash!
map!: :hash!  ; Doesn't work in function specs, TYPE?
map?: :hash?
to-map: :to-hash
; Note: Not exactly the same thing, so use /skip and be careful.

; Fake get-path! with path!
get-path!: :path!  ; Doesn't work in function specs, TYPE?
get-path?: func ["Returns TRUE if it is this type." value [any-type!]] [
	found? all [path? get/any 'value get-word? pick value 1]
] ; Note: PATH? will also succeed in R2
to-get-path: func ["Converts to get-path! value." value] [
	value: to-path :value
	if word? pick value 1 [poke value 1 to-get-word pick value 1]
	value ; get-path? fails if first element not get-word!
]

; to-function, closure!, closure? and to-closure are in mezz-func.r
; typeset! spoofing in mezz-reflect.r

; The module! and vector! types are not done yet in R3, no others practical...
